<?php

//this is phpbb header
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);
include($phpbb_root_path . 'includes/bbcode.' . $phpEx);

//display page header
$type = $_GET['t'];
$length = 80;
if ($type == "baidu")
{
	header ("Content-Type:text/xml");
	echo "<?xml version='1.0' encoding='UTF-8' ?>";
	echo "<document xmlns:bbs='http://www.baidu.com/search/bbs_sitemap.xsd'>";
	echo "<webSite>" . $config['server_name'] . "</webSite>";
	echo "<webMaster>" . $config['board_email'] ."</webMaster>";
	echo "<updatePeri>36</updatePeri>";
	echo "<updatetime>" . date('Y-m-d H:i:s') . "</updatetime>";
	echo "<version>" . $config['sitename'] . "</version>";
	$length = 800;
}
elseif ($type == "google")
{
	header ("Content-Type:text/xml");
	echo "<?xml version='1.0' encoding='UTF-8' ?>";
	echo "<urlset xmlns='http://www.sitemaps.org/schemas/sitemap/0.9'>";
	$length = 1500;
}
elseif ($type == "rss")
{
	header ("Content-Type:text/xml");
	echo "<?xml version='1.0' encoding='UTF-8' ?>";
	echo "<rss version='0.91'><channel>";
	echo "<title>" . $config['sitename'] . "</title>";
	echo "<link>" . $config['server_name'] . "</link>";
	echo "<description>" . $config['site_desc'] . "</description>";
	echo "<language>zh-cn</language>";
	echo "<copyright>" . $config['sitename'] . "</copyright>";
	echo "<generator>" . $config['sitename'] . " RSS</generator>";
	$length = 50;
}
else
{
	header ("content-type:text/html;charset=utf-8");
	echo "<html><head>";
	echo "<meta http-equiv='Content-Type' content='text/html; charset=utf8'>";
	echo "<meta http-equiv='Content-Language' content='zh-cn'>";
	echo "<title>" . $config['sitename'] . "最新话题</title>";
	echo "</head><body>";
	echo "<b>" . $config['sitename'] . "最新话题</b><br /><br />";	
}

//display the last $length topics
$id = 0;
$sql = "SELECT topic_id, topic_title, topic_time, topic_replies FROM " . TOPICS_TABLE . 
	" ORDER BY topic_id DESC";
$result = $db->sql_query_limit($sql, $length);
while ($row = $db->sql_fetchrow($result))
{
	$id = $id + 1;
	$url = $config['server_protocol'] . $config['server_name'] . $config['script_path'] . "/topic-t";
	if ($type == "baidu")
	{
		echo "<item><link>" . $url . $row['topic_id'] . ".html</link>";
		echo "<title>" . $row['topic_title'] . "</title>";
		echo "<pubDate>" . date('Y-m-d H:i:s', $row['topic_time']) . "</pubDate>";
		echo "<bbs:lastDate>" . date('Y-m-d H:i:s', $row['topic_time']) . "</bbs:lastDate>";
		echo "<bbs:reply>" . $row['topic_replies'] . "</bbs:reply>";
		echo "<bbs:hit>" . rand(10,500) . "</bbs:hit>";
		echo "<bbs:mainLen>" . rand(50,5000) . "</bbs:mainLen>";
		echo "<bbs:boardid>" . $config['sitename'] . "</bbs:boardid>";
		echo "<bbs:pick>0</bbs:pick></item>";
	}
	elseif ($type == "google")
	{
		echo "<url><loc>";
		echo $url . $row['topic_id'] . ".html";
		echo "</loc><changefreq>weekly</changefreq></url>";
	}
	elseif ($type == "rss")
	{
		echo "<item>";
		echo "<title>" . $row['topic_title'] . "</title>";
		echo "<link>" . $url . $row['topic_id'] . ".html</link>";
		echo "<description>" . $row['topic_title'] . "......</description>";		
		echo "<category>" . $config['site_desc'] . "</category>";
		echo "<author>" . $config['sitename'] . "</author>";
		echo "<copyright>" . $config['sitename'] . "</copyright>";
		echo "<pubDate>" . date('Y-m-d H:i:s', $row['topic_time']) . "</pubDate>";		
		echo "</item>";
	}	
	else
	{
		echo $id . "：";
		echo "<a href='" . $url . $row['topic_id'] . ".html'>";
		echo $row['topic_title'] . "</a><br>";	
	}
}
$db->sql_freeresult($result);

//show the page tail
if ($type == "baidu")
{
	echo "</document>";
}
elseif ($type == "google")
{
	echo "</urlset>";
}
elseif ($type == "rss")
{
	echo "</channel></rss>";
}
else
{
	echo "<br /><br />本软件由<a href='http://www.elite-school.com/'>网络*培训*专家</a>集成设计</body></html>";
}

?>
